Index: pbx/pbx_lua.c
===================================================================
--- pbx/pbx_lua.c	(revision 371534)
+++ pbx/pbx_lua.c	(working copy)
@@ -422,7 +422,6 @@
  * The value on the top of the stack is popped and used as the name.
  *
  * \param L the lua_State to use
- * \param name the name of the variable
  */
 static void lua_push_variable_table(lua_State *L)
 {
Index: channels/sig_pri.h
===================================================================
--- channels/sig_pri.h	(revision 371534)
+++ channels/sig_pri.h	(working copy)
@@ -592,7 +592,7 @@
 	 * AST_DEVICE_BUSY - All B channels are in use.
 	 * AST_DEVICE_UNAVAILABLE - Span is in alarm.
 	 * \note
-	 * Device name: \startverbatim DAHDI/I<span>/congestion. \endverbatim
+	 * Device name: \verbatim DAHDI/I<span>/congestion. \endverbatim
 	 */
 	int congestion_devstate;
 #if defined(THRESHOLD_DEVSTATE_PLACEHOLDER)
Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 371534)
+++ channels/chan_sip.c	(working copy)
@@ -5367,7 +5367,7 @@
 
 /*!
  * \brief Locate device by name or ip address
- * \param peer, sin, realtime, devstate_only, transport
+ * \param peer, addr, realtime, devstate_only, transport
  * \param which_objects Define which objects should be matched when doing a lookup
  *        by name.  Valid options are FINDUSERS, FINDPEERS, or FINDALLDEVICES.
  *        Note that this option is not used at all when doing a lookup by IP.
@@ -10965,7 +10965,7 @@
 /*! \brief Set destination from SIP URI
  *
  * Parse uri to h (host) and port - uri is already just the part inside the <>
- * general form we are expecting is sip[s]:username[:password][;parameter]@host[:port][;...]
+ * general form we are expecting is \verbatim sip[s]:username[:password][;parameter]@host[:port][;...] \endverbatim
  * If there's a port given, turn NAPTR/SRV off. NAPTR might indicate SIPS preference even
  * for SIP: uri's
  *
@@ -15430,8 +15430,14 @@
 	}
 }
 
-/*! \brief Build route list from Record-Route header 
-    \param resp the SIP response code or 0 for a request */
+/*! \brief Build route list from Record-Route header
+ *
+ * \param p
+ * \param req
+ * \param backwards
+ * \param resp the SIP response code or 0 for a request
+ *
+ */
 static void build_route(struct sip_pvt *p, struct sip_request *req, int backwards, int resp)
 {
 	struct sip_route *thishop, *head, *tail;
@@ -28409,7 +28415,7 @@
 /*!
  * \brief Get the session-timer mode 
  * \param p pointer to the SIP dialog 
- * \param no_cached, set this to true in order to force a peername lookup on
+ * \param no_cached Set this to true in order to force a peername lookup on
  *        the session timer mode.
 */
 enum st_mode st_get_mode(struct sip_pvt *p, int no_cached)
@@ -32256,7 +32262,7 @@
 
 /*! \brief  Return the first entry from ast_sockaddr_resolve filtered by address family
  *
- * \warn Using this function probably means you have a faulty design.
+ * \warning Using this function probably means you have a faulty design.
  */
 static int ast_sockaddr_resolve_first_af(struct ast_sockaddr *addr,
 				      const char* name, int flag, int family)
@@ -32280,7 +32286,7 @@
 
 /*! \brief  Return the first entry from ast_sockaddr_resolve filtered by family of binddaddr
  *
- * \warn Using this function probably means you have a faulty design.
+ * \warning Using this function probably means you have a faulty design.
  */
 static int ast_sockaddr_resolve_first(struct ast_sockaddr *addr,
 				      const char* name, int flag)
@@ -32290,7 +32296,7 @@
 
 /*! \brief  Return the first entry from ast_sockaddr_resolve filtered by family of binddaddr
  *
- * \warn Using this function probably means you have a faulty design.
+ * \warning Using this function probably means you have a faulty design.
  */
 static int ast_sockaddr_resolve_first_transport(struct ast_sockaddr *addr,
 						const char* name, int flag, unsigned int transport)
Index: channels/chan_agent.c
===================================================================
--- channels/chan_agent.c	(revision 371534)
+++ channels/chan_agent.c	(working copy)
@@ -382,7 +382,7 @@
  * unrefed once it is no longer needed.
  *
  * \param pvt Pointer to the LOCKED agent_pvt for which the owner is needed
- * \ret locked channel which owns the pvt at the time of completion. NULL if not available.
+ * \ref locked channel which owns the pvt at the time of completion. NULL if not available.
  */
 static struct ast_channel *agent_lock_owner(struct agent_pvt *pvt)
 {
Index: channels/sip/srtp.c
===================================================================
--- channels/sip/srtp.c	(revision 371534)
+++ channels/sip/srtp.c	(working copy)
@@ -16,7 +16,7 @@
  * at the top of the source tree.
  */
 
-/*! \file sip_srtp.c
+/*! \file srtp.c
  *
  * \brief SIP Secure RTP (SRTP)
  *
Index: channels/sip/reqresp_parser.c
===================================================================
--- channels/sip/reqresp_parser.c	(revision 371534)
+++ channels/sip/reqresp_parser.c	(working copy)
@@ -1523,9 +1523,9 @@
  * item is found that is not supported, it is copied to the unsupported
  * out buffer.
  *
- * \param option list
+ * \param options list
  * \param unsupported out buffer (optional)
- * \param unsupported out buffer length (optional)
+ * \param unsupported_len out buffer length (optional)
  */
 unsigned int parse_sip_options(const char *options, char *unsupported, size_t unsupported_len)
 {
Index: channels/chan_mgcp.c
===================================================================
--- channels/chan_mgcp.c	(revision 371534)
+++ channels/chan_mgcp.c	(working copy)
@@ -24,7 +24,6 @@
  *
  * \par See also
  * \arg \ref Config_mgcp
- * \arg \ref res_pktccops
  *
  * \ingroup channel_drivers
  */
Index: apps/app_meetme.c
===================================================================
--- apps/app_meetme.c	(revision 371534)
+++ apps/app_meetme.c	(working copy)
@@ -1209,6 +1209,7 @@
  * \param dynamic Mark the newly created conference as dynamic
  * \param refcount How many references to mark on the conference
  * \param chan The asterisk channel
+ * \param test
  *
  * \return A pointer to the conference struct, or NULL if it wasn't found and
  *         make or dynamic were not set.
Index: apps/app_skel.c
===================================================================
--- apps/app_skel.c	(revision 371534)
+++ apps/app_skel.c	(working copy)
@@ -178,7 +178,7 @@
  * internally by the Config Options code to check if an level has already been added to the
  * container that will be swapped for the live container on a successul reload.
  *
- * \param container A non-active container to search for a level
+ * \param tmp_container A non-active container to search for a level
  * \param category The category associated with the level to check for
  * \retval non-NULL The level from the container
  * \retval NULL The level does not exist in the container
Index: apps/app_confbridge.c
===================================================================
--- apps/app_confbridge.c	(revision 371534)
+++ apps/app_confbridge.c	(working copy)
@@ -621,7 +621,7 @@
  * \brief Announce number of users in the conference bridge to the caller
  *
  * \param conference_bridge Conference bridge to peek at
- * \param (OPTIONAL) conference_bridge_user Caller
+ * \param conference_bridge_user Optional Caller
  *
  * \note if caller is NULL, the announcment will be sent to all participants in the conference.
  * \return Returns 0 on success, -1 if the user hung up
@@ -1258,7 +1258,7 @@
  * \brief Play number into the conference bridge
  *
  * \param conference_bridge The conference bridge to say the number into
- * \param number to say
+ * \param say_number number to say
  *
  * \retval 0 success
  * \retval -1 failure
Index: apps/app_voicemail.c
===================================================================
--- apps/app_voicemail.c	(revision 371534)
+++ apps/app_voicemail.c	(working copy)
@@ -1054,7 +1054,7 @@
  *
  * \note the "move" parameter is only honored for IMAP voicemail presently
  * \retval 0 Success
- * \revval other Failure
+ * \retval other Failure
  */
 static int save_to_folder(struct ast_vm_user *vmu, struct vm_state *vms, int msg, int box, int *newmsg, int move);
 
@@ -4798,7 +4798,7 @@
  * \param chan
  * \param category
  * \param imap if == 1, indicates the target folder for the email notification to be sent to will be an IMAP mailstore. This causes additional mailbox headers to be set, which would facilitate searching for the email in the destination IMAP folder.
- * \param flag
+ * \param flag, msg_id
  *
  * The email body, and base 64 encoded attachement (if any) are stored to the file identified by *p. This method does not actually send the email.  That is done by invoking the configure 'mailcmd' and piping this generated file into it, or with the sendemail() function.
  */
@@ -5624,7 +5624,7 @@
  * \param recip
  * \param fmt
  * \param dir
- * \param flag
+ * \param flag, dest_folder
  *
  * This is only used by file storage based mailboxes.
  *
@@ -5740,7 +5740,7 @@
 
 /** 
  * \brief Determines if the given folder has messages.
- * \param mailbox The @ delimited string for user@context. If no context is found, uses 'default' for the context.
+ * \param mailbox The @ delimited string for \verbatim user@context \endverbatim. If no context is found, uses 'default' for the context.
  * \param folder the folder to look in
  *
  * This function is used when the mailbox is stored in a filesystem back end.
@@ -15085,7 +15085,8 @@
  * \param msg_ids An array of message identifiers
  * \param num_msgs The number of identifiers in msg_ids
  * \param msg_nums [out] The message indexes corresponding to the given
- * message IDs
+ *	message IDs
+ * \param vmu
  * \pre vms must have open_mailbox() called on it prior to this function.
  *
  * \retval -1 Failure
Index: apps/app_queue.c
===================================================================
--- apps/app_queue.c	(revision 371534)
+++ apps/app_queue.c	(working copy)
@@ -1197,8 +1197,8 @@
 
 #define ANNOUNCEPOSITION_YES 1 /*!< We announce position */
 #define ANNOUNCEPOSITION_NO 2 /*!< We don't announce position */
-#define ANNOUNCEPOSITION_MORE_THAN 3 /*!< We say "Currently there are more than <limit>" */
-#define ANNOUNCEPOSITION_LIMIT 4 /*!< We not announce position more than <limit> */
+#define ANNOUNCEPOSITION_MORE_THAN 3 /*!< We say "Currently there are more than limit" */
+#define ANNOUNCEPOSITION_LIMIT 4 /*!< We do not announce position more than limit */
 
 struct call_queue {
 	AST_DECLARE_STRING_FIELDS(
@@ -5735,8 +5735,9 @@
 
 
 /*! \brief Dump all members in a specific queue to the database
- *
- * <pm_family>/<queuename> = <interface>;<penalty>;<paused>;<state_interface>[|...]
+ * 
+ * < pm_family >/< queuename > = < interface >;< penalty >;< paused >;< state_interface >[|...]
+ * 
  */
 static void dump_queue_members(struct call_queue *pm_queue)
 {
Index: include/asterisk/presencestate.h
===================================================================
--- include/asterisk/presencestate.h	(revision 371534)
+++ include/asterisk/presencestate.h	(working copy)
@@ -62,9 +62,9 @@
 /*!
  * \brief Asks a presence state provider for the current presence state.
  *
- * \param presence_provider, The presence provider to retrieve the state from.
- * \param subtype, The output paramenter to store the subtype string in. Must be freed if returned
- * \param message, The output paramenter to store the message string in. Must be freed if returned
+ * \param presence_provider The presence provider to retrieve the state from.
+ * \param subtype The output paramenter to store the subtype string in. Must be freed if returned
+ * \param message The output paramenter to store the message string in. Must be freed if returned
  *
  * \retval presence state value on success,
  * \retval -1 on failure.
@@ -78,9 +78,9 @@
  * requested (such as a base64 decode). In such instances, use of the event cache is not suitable
  * and should be bypassed.
  *
- * \param presence_provider, The presence provider to retrieve the state from.
- * \param subtype, The output paramenter to store the subtype string in. Must be freed if returned
- * \param message, The output paramenter to store the message string in. Must be freed if returned
+ * \param presence_provider The presence provider to retrieve the state from.
+ * \param subtype The output paramenter to store the subtype string in. Must be freed if returned
+ * \param message The output paramenter to store the message string in. Must be freed if returned
  *
  * \retval presence state value on success,
  * \retval -1 on failure.
Index: include/asterisk/manager.h
===================================================================
--- include/asterisk/manager.h	(revision 371534)
+++ include/asterisk/manager.h	(working copy)
@@ -247,7 +247,9 @@
  * \param event Event name
  * \param chancount Number of channels in chans parameter
  * \param chans A pointer to an array of channels involved in the event
+ * \param file, line, func
  * \param contents Format string describing event
+ * \param ...
  * \since 1.8
 */
 int __ast_manager_event_multichan(int category, const char *event, int chancount,
Index: include/asterisk/app.h
===================================================================
--- include/asterisk/app.h	(revision 371534)
+++ include/asterisk/app.h	(working copy)
@@ -331,6 +331,9 @@
 
 /*!
  * \brief Set voicemail function callbacks
+ *
+ * \param copy_recording_to_vm_func, vm_index_to_foldername, vm_mailbox_snapshot_create
+ * \param vm_mailbox_snapshot_destroy, vm_msg_move, vm_msg_remove, vm_msg_forward, vm_msg_play
  * \param[in] has_voicemail_func set function pointer
  * \param[in] inboxcount_func set function pointer
  * \param[in] inboxcount2_func set function pointer
@@ -411,7 +414,7 @@
 /*!
  * \brief Determine number of new/old messages in a mailbox
  * \since 1.0
- * \param[in] mailbox Mailbox specification in the format mbox[@context][&mbox2[@context2]][...]
+ * \param[in] mailbox Mailbox specification in the format /verbatim mbox[@context][&mbox2[@context2]][...] /endverbatim
  * \param[out] newmsgs Number of messages in the "INBOX" folder.  Includes number of messages in the "Urgent" folder, if any.
  * \param[out] oldmsgs Number of messages in the "Old" folder.
  * \retval 0 Success
@@ -495,7 +498,7 @@
  * \param context The voicemail context for the mailbox
  * \param num_msgs The number of messages to move
  * \param oldfolder The folder from where messages should be moved
- * \param old_msg_nums The message IDs of the messages to move
+ * \param old_msg_ids The message IDs of the messages to move
  * \param newfolder The folder to which messages should be moved
  * new folder. This array must be num_msgs sized.
  *
@@ -557,10 +560,12 @@
 /*!
  * \brief Play a voicemail msg back on a channel.
  *
+ * \param chan
  * \param mailbox msg is in.
  * \param context of mailbox.
- * \param voicemail folder to look in.
- * \param message number in the voicemailbox to playback to the channel.
+ * \param folder voicemail folder to look in.
+ * \param msg_num message number in the voicemailbox to playback to the channel.
+ * \param cb
  *
  * \retval 0 success
  * \retval -1 failure
@@ -643,7 +648,7 @@
  * \param chan
  * \param file filename
  * \param fwd, rev, stop, pause, restart, skipms, offsetms
- * \param waitstream callback to invoke when fastforward or rewind occurrs.
+ * \param cb waitstream callback to invoke when fastforward or rewind occurrs.
  *
  * Before calling this function, set this to be the number
  * of ms to start from the beginning of the file.  When the function
Index: include/asterisk/message.h
===================================================================
--- include/asterisk/message.h	(revision 371534)
+++ include/asterisk/message.h	(working copy)
@@ -167,6 +167,7 @@
  * \brief Set a variable on the message going to the dialplan.
  * \note Setting a variable that already exists overwrites the existing variable value
  *
+ * \param msg
  * \param name Name of variable to set
  * \param value Value of variable to set
  *
@@ -179,6 +180,7 @@
  * \brief Set a variable on the message being sent to a message tech directly.
  * \note Setting a variable that already exists overwrites the existing variable value
  *
+ * \param msg
  * \param name Name of variable to set
  * \param value Value of variable to set
  *
Index: include/asterisk/doxygen/reviewboard.h
===================================================================
--- include/asterisk/doxygen/reviewboard.h	(revision 371534)
+++ include/asterisk/doxygen/reviewboard.h	(working copy)
@@ -23,7 +23,7 @@
  *
  * \AsteriskTrunkWarning
  *
- * <hr/>
+ * <hr>
  *
  * \section ReviewboardGuidelines Usage Guidelines
  *
@@ -52,7 +52,7 @@
  * testing and should not have blatant coding guidelines violations.  Lack of
  * these things is careless and shows disrespect for those reviewing your code.
  *
- * <hr/>
+ * <hr>
  *
  * \section ReviewboardPosting Posting Code to Reviewboard
  *
Index: include/asterisk/doxygen/commits.h
===================================================================
--- include/asterisk/doxygen/commits.h	(revision 371534)
+++ include/asterisk/doxygen/commits.h	(working copy)
@@ -23,7 +23,7 @@
  *
  * \AsteriskTrunkWarning
  *
- * <hr/>
+ * <hr>
  *
  * \section CommitMsgFormatting Commit Message Formatting
  *
@@ -52,7 +52,7 @@
  * \note For trivial commits, such as "fix the build", or "fix spelling mistake",
  *       the verbose description may not be necessary.
  *
- * <hr/>
+ * <hr>
  *
  * \section CommitMsgTags Special Tags for Commit Messages
  *
@@ -97,7 +97,7 @@
  *
  * \note The trailing slash in the review URL is required.
  *
- * <hr/>
+ * <hr>
  *
  * \section CommitMsgSvnmerge Commit Messages with svnmerge
  *
Index: include/asterisk/doxygen/architecture.h
===================================================================
--- include/asterisk/doxygen/architecture.h	(revision 371534)
+++ include/asterisk/doxygen/architecture.h	(working copy)
@@ -26,7 +26,7 @@
 \author Russell Bryant <russell@digium.com>
 \AsteriskTrunkWarning
 
-<hr/>
+<hr>
 
 \section ArchTOC Table of Contents
 
@@ -64,7 +64,7 @@
     -# \ref ArchThreadDebugging
     -# \ref ArchMemoryDebugging
 
-<hr/>
+<hr>
 
 \section ArchIntro Introduction
 
@@ -710,7 +710,7 @@
 <code>main/astmm.c</code>.
 
 
-<hr/>
+<hr>
 Return to the \ref ArchTOC
  */
 
Index: include/asterisk/doxygen/releases.h
===================================================================
--- include/asterisk/doxygen/releases.h	(revision 371534)
+++ include/asterisk/doxygen/releases.h	(working copy)
@@ -133,7 +133,7 @@
  *
  * \arg \ref ReleaseStatus
  *
- * <hr/>
+ * <hr>
  *
  * \section commitmonitoring Commit Monitoring
  *
@@ -141,7 +141,7 @@
  * <a href="http://lists.digium.com/">http://lists.digium.com</a>.  The Digium
  * mailing list server hosts a %number of mailing lists for commits.
  *
- * <hr/>
+ * <hr>
  *
  * \section ast10policy Asterisk 1.0
  *
@@ -154,7 +154,7 @@
  *
  * No commits should be made to the Asterisk 1.0 branch.
  * 
- * <hr/>
+ * <hr>
  *
  * \section ast12policy Asterisk 1.2
  *
@@ -181,7 +181,7 @@
  *  - 1.2.X.Y - a release that contains fixes to the security patches released in
  *    version 1.2.X
  *
- * <hr/>
+ * <hr>
  *
  * \section ast14policy Asterisk 1.4
  *
@@ -208,7 +208,7 @@
  *  - 1.4.X.Y - a release that contains very few changes on top of 1.4.X.  This
  *    may be for a security patch, or for a regression introduced in 1.4.X.
  *
- * <hr/>
+ * <hr>
  *
  * \section ast16policy Asterisk 1.6
  *
@@ -244,7 +244,7 @@
  *  - 1.6.X.Y - a release that contains fixes for bugs or security issues identified
  *    in the 1.6.X release series.
  *
- * <hr/>
+ * <hr>
  *
  * \section asttrunk Asterisk Trunk
  *
@@ -269,7 +269,7 @@
  * tested and reviewed such that there is reasonable belief that the code
  * is ready to go.
  *
- * <hr/>
+ * <hr>
  *
  * \section astteam Asterisk Team Branches
  *
Index: include/asterisk/doxygen/asterisk-git-howto.h
===================================================================
--- include/asterisk/doxygen/asterisk-git-howto.h	(revision 371534)
+++ include/asterisk/doxygen/asterisk-git-howto.h	(working copy)
@@ -23,7 +23,7 @@
  *
  * \AsteriskTrunkWarning
  *
- * <hr/>
+ * <hr>
  *
  * \section Introduction Introduction
  * This document will instruct you how to setup a local git mirror of the 
@@ -32,7 +32,7 @@
  * Why would you want that? for starters, it's a fast repository browser
  * and works well even when offline. More on why and why not at 'Pros and Cons'
  * in the end of this document. 
- * <hr/>
+ * <hr>
  *
  * \section Setup Setup
  *
@@ -120,7 +120,7 @@
   echo 'exclude res_snmp' >build_tools/conf
  \endverbatim
  *
- * <hr/>
+ * <hr>
  *
  * \section Update Update
  * The main Asterisk repository tends to get new commits occasionally. I
@@ -133,7 +133,7 @@
  \endverbatim
  *
  * Next, get all updates.
- * <hr/>
+ * <hr>
  *
  * \section Usage Usage
  *
@@ -183,7 +183,7 @@
   git svn rebase --fetch-all
  \endverbatim
  *
- * <hr/>
+ * <hr>
  *
  * \section ProsAndCons Pros and Cons
  *
@@ -233,5 +233,5 @@
  *  to test that. Even if it will, it will require an extra step of manual
  *  editing.
  *
- * <hr/>
+ * <hr>
  */
Index: include/asterisk/doxygen/mantisworkflow.h
===================================================================
--- include/asterisk/doxygen/mantisworkflow.h	(revision 371534)
+++ include/asterisk/doxygen/mantisworkflow.h	(working copy)
@@ -23,7 +23,7 @@
  *
  * \AsteriskTrunkWarning
  *
- * <hr/>
+ * <hr>
  * \section WorkflowDescription Description of the Issue Tracker Workflow
  * 
  * (This document is most beneficial for Asterisk bug marshals, however it is good
Index: include/asterisk/acl.h
===================================================================
--- include/asterisk/acl.h	(revision 371534)
+++ include/asterisk/acl.h	(working copy)
@@ -189,7 +189,7 @@
  * contained in the acl container. It will deny if any of the ast_ha lists
  * fail, and it will pass only if all of the rules pass.
  *
- * \param acl The head of the list of ACLs to evaluate
+ * \param acl_list The head of the list of ACLs to evaluate
  * \param addr An ast_sockaddr whose address is considered when matching rules
  * \param purpose Context for which the ACL is being applied - Establishes purpose of a notice when rejected
  *
Index: include/asterisk/bridging_features.h
===================================================================
--- include/asterisk/bridging_features.h	(revision 371534)
+++ include/asterisk/bridging_features.h	(working copy)
@@ -197,7 +197,7 @@
  * \param dtmf DTMF string to be activated upon
  * \param callback Function to execute upon activation
  * \param hook_pvt Unique data
- * \param Optional destructor callback for hook_pvt data
+ * \param destructor Optional destructor callback for hook_pvt data
  *
  * \retval 0 on success
  * \retval -1 on failure
@@ -226,9 +226,9 @@
 /*! \brief Set a callback on the features structure to receive talking notifications on.
  *
  * \param features Bridge features structure
- * \param talker_cb, Callback function to execute when talking events occur in the bridge core.
+ * \param talker_cb Callback function to execute when talking events occur in the bridge core.
  * \param pvt_data Optional unique data that will be passed with the talking events.
- * \param Optional destructor callback for pvt data.
+ * \param talker_destructor Optional destructor callback for pvt data.
  *
  * \retval 0, success
  * \retval -1, failure
Index: include/asterisk/sip_api.h
===================================================================
--- include/asterisk/sip_api.h	(revision 371534)
+++ include/asterisk/sip_api.h	(working copy)
@@ -29,9 +29,10 @@
 /*!
  * \brief Send a customized SIP INFO request
  *
+ * \param chan Channel
  * \param headers The headers to add to the INFO request
  * \param content_type The content type header to add
- * \param conten The body of the INFO request
+ * \param content The body of the INFO request
  * \param useragent_filter If non-NULL, only send the INFO if the
  * recipient's User-Agent contains useragent_filter as a substring
  *
Index: include/asterisk/ccss.h
===================================================================
--- include/asterisk/ccss.h	(revision 371534)
+++ include/asterisk/ccss.h	(working copy)
@@ -1482,7 +1482,7 @@
 /*!
  * \since 1.8
  * \brief Set the CC_INTERFACES channel variable for a channel using an
- * extension@context as a starting point
+ * \verbatim extension@context \endverbatim as a starting point
  *
  * \details
  * The CC_INTERFACES channel variable will have the interfaces that should be
@@ -1498,7 +1498,7 @@
  *
  * \param chan The channel to set the CC_INTERFACES variable on
  * \param extension The name of the extension for which we're setting the variable.
- * This should be in the form of "exten@context"
+ * This should be in the form of \verbatim exten@context \endverbatim
  */
 int ast_set_cc_interfaces_chanvar(struct ast_channel *chan, const char * const extension);
 
Index: include/asterisk/astobj2.h
===================================================================
--- include/asterisk/astobj2.h	(revision 371534)
+++ include/asterisk/astobj2.h	(working copy)
@@ -522,6 +522,7 @@
  * Lock an object.
  *
  * \param a A pointer to the object we want to lock.
+ * \param lock_how, file, func, line, var
  * \return 0 on success, other values on error.
  */
 int __ao2_lock(void *a, enum ao2_lock_req lock_how, const char *file, const char *func, int line, const char *var);
@@ -533,6 +534,7 @@
  * Unlock an object.
  *
  * \param a A pointer to the object we want unlock.
+ * \param file, func, line, var
  * \return 0 on success, other values on error.
  */
 int __ao2_unlock(void *a, const char *file, const char *func, int line, const char *var);
@@ -542,6 +544,7 @@
  * Try locking-- (don't block if fail)
  *
  * \param a A pointer to the object we want to lock.
+ * \param lock_how, file, func, line, var
  * \return 0 on success, other values on error.
  */
 int __ao2_trylock(void *a, enum ao2_lock_req lock_how, const char *file, const char *func, int line, const char *var);
@@ -1044,7 +1047,6 @@
  *
  * \param container The container to operate on.
  * \param obj The object to be added.
- * \param flags search_flags to control linking the object.  (OBJ_NOLOCK)
  * \param tag used for debugging.
  *
  * \retval NULL on errors.
@@ -1062,6 +1064,24 @@
 #define ao2_t_link(container, obj, tag)					__ao2_link_debug((container), (obj), 0, (tag),  __FILE__, __LINE__, __PRETTY_FUNCTION__)
 #define ao2_link(container, obj)						__ao2_link_debug((container), (obj), 0, "",  __FILE__, __LINE__, __PRETTY_FUNCTION__)
 
+/*!
+ * \brief Add an object to a container.
+ *
+ * \param container The container to operate on.
+ * \param obj The object to be added.
+ * \param flags search_flags to control linking the object.  (OBJ_NOLOCK)
+ * \param tag used for debugging.
+ *
+ * \retval NULL on errors.
+ * \retval !NULL on success.
+ *
+ * This function inserts an object in a container according its key.
+ *
+ * \note Remember to set the key before calling this function.
+ *
+ * \note This function automatically increases the reference count to account
+ *       for the reference that the container now holds to the object.
+ */
 #define ao2_t_link_flags(container, obj, flags, tag)	__ao2_link_debug((container), (obj), (flags), (tag),  __FILE__, __LINE__, __PRETTY_FUNCTION__)
 #define ao2_link_flags(container, obj, flags)			__ao2_link_debug((container), (obj), (flags), "",  __FILE__, __LINE__, __PRETTY_FUNCTION__)
 
@@ -1083,7 +1103,6 @@
  *
  * \param container The container to operate on.
  * \param obj The object to unlink.
- * \param flags search_flags to control unlinking the object.  (OBJ_NOLOCK)
  * \param tag used for debugging.
  *
  * \retval NULL, always
@@ -1101,6 +1120,25 @@
 #define ao2_t_unlink(container, obj, tag)				__ao2_unlink_debug((container), (obj), 0, (tag),  __FILE__, __LINE__, __PRETTY_FUNCTION__)
 #define ao2_unlink(container, obj)						__ao2_unlink_debug((container), (obj), 0, "",  __FILE__, __LINE__, __PRETTY_FUNCTION__)
 
+/*!
+ * \brief Remove an object from a container
+ *
+ * \param container The container to operate on.
+ * \param obj The object to unlink.
+ * \param flags search_flags to control unlinking the object.  (OBJ_NOLOCK)
+ * \param tag used for debugging.
+ *
+ * \retval NULL, always
+ *
+ * \note The object requested to be unlinked must be valid.  However, if it turns
+ *       out that it is not in the container, this function is still safe to
+ *       be called.
+ *
+ * \note If the object gets unlinked from the container, the container's
+ *       reference to the object will be automatically released. (The
+ *       refcount will be decremented).
+ */
+
 #define ao2_t_unlink_flags(container, obj, flags, tag)	__ao2_unlink_debug((container), (obj), (flags), (tag),  __FILE__, __LINE__, __PRETTY_FUNCTION__)
 #define ao2_unlink_flags(container, obj, flags)			__ao2_unlink_debug((container), (obj), (flags), "",  __FILE__, __LINE__, __PRETTY_FUNCTION__)
 
Index: include/asterisk/datastore.h
===================================================================
--- include/asterisk/datastore.h	(revision 371534)
+++ include/asterisk/datastore.h	(working copy)
@@ -63,6 +63,7 @@
  * \brief Create a data store object
  * \param[in] info information describing the data store object
  * \param[in] uid unique identifer
+ * \param file, line, function
  * \version 1.6.1 moved here and renamed from ast_channel_datastore_alloc
  */
 struct ast_datastore * attribute_malloc __ast_datastore_alloc(const struct ast_datastore_info *info, const char *uid,
Index: include/asterisk/bridging_technology.h
===================================================================
--- include/asterisk/bridging_technology.h	(revision 371534)
+++ include/asterisk/bridging_technology.h	(working copy)
@@ -153,7 +153,7 @@
  *
  * \param bridge The bridge that the channel is a part of.
  * \param bridge_channel The bridge channel that has either started or stopped talking.
- * \param started_talking, set to 1 when this indicates the channel has started talking, set to 0
+ * \param started_talking set to 1 when this indicates the channel has started talking set to 0
  * when this indicates the channel has stopped talking.
  */
 void ast_bridge_notify_talking(struct ast_bridge *bridge, struct ast_bridge_channel *bridge_channel, int started_talking);
